

[//]: # (README.md generated by gotmpl. DO NOT EDIT.)

![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square) ![Version: 0.38.1](https://img.shields.io/badge/Version-0.38.1-informational?style=flat-square) ![AppVersion: 0.0.0](https://img.shields.io/badge/AppVersion-0.0.0-informational?style=flat-square)

Create MariaDB cluster managed by mariadb-operator

## Installing

You can easily deploy the operator to your cluster by installing the `mariadb-operator-crds` and `mariadb-operator` Helm charts:

```bash
helm repo add mariadb-operator https://helm.mariadb.com/mariadb-operator
helm install mariadb-operator-crds mariadb-operator/mariadb-operator-crds
helm install mariadb-operator mariadb-operator/mariadb-operator
```

Once the operator is deployed, you can provision a MariaDB cluster using the `mariadb-cluster` Helm chart:

```bash
helm install mariadb-cluster mariadb-operator/mariadb-cluster
```

Refer to the [helm documentation](https://github.com/mariadb-operator/mariadb-operator/blob/main/docs/helm.md) for further detail.

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| backups | list | `[]` | The list of Backup CRs. The `.mariaDbRef` keys will be ignored. The `.name` keys are used to generate distinct CR names. https://github.com/mariadb-operator/mariadb-operator/blob/main/docs/api_reference.md#backupspec |
| crds | object | `{"enabled":false}` | CRDs |
| crds.enabled | bool | `false` | Whether the helm chart should create and update the CRDs. It is false by default, which implies that the CRDs must be managed independently with the mariadb-operator-crds helm chart. **WARNING** This should only be set to true during the initial deployment. If this chart manages the CRDs and is later uninstalled, all MariaDB instances will be DELETED. |
| databases | list | `[]` | The list of Database CRs. The `.mariaDbRef` keys will be ignored. The `.name` keys are required to generate distinct CR names. https://github.com/mariadb-operator/mariadb-operator/blob/main/docs/api_reference.md#databasespec |
| fullnameOverride | string | `""` |  |
| grants | list | `[]` | The list of Grant CRs. The `.mariaDbRef` keys will be ignored. The `.name` keys are used to generate distinct CR names. https://github.com/mariadb-operator/mariadb-operator/blob/main/docs/api_reference.md#grantspec |
| mariadb | object | `{"galera":{"enabled":true},"replicas":3,"rootPasswordSecretKeyRef":{"key":"root-password","name":"mariadb"},"storage":{"size":"1Gi"}}` | MariaDB CR https://github.com/mariadb-operator/mariadb-operator/blob/main/docs/api_reference.md#mariadbspec |
| nameOverride | string | `""` |  |
| physicalBackups | list | `[]` | The list of PhysicalBackup CRs. The `.mariaDbRef` keys will be ignored. The `.name` keys are used to generate distinct CR names. https://github.com/mariadb-operator/mariadb-operator/blob/main/docs/api_reference.md#physicalbackup |
| users | list | `[]` | The list of User CRs. The `.mariaDbRef` keys will be ignored. The `.name` keys are required to generate distinct CR names. https://github.com/mariadb-operator/mariadb-operator/blob/main/docs/api_reference.md#userspec |
